Skip to main content
POST
/
network
/
reserved_ips
/
convert
Convert VM's primary IP to reserved IP
curl --request POST \
  --url https://api.cloud.onidel.com/network/reserved_ips/convert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ip_address": "127.0.0.1",
  "team_id": "<string>",
  "name": "<string>"
}
'
{
  "reserved_ip": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "location": "<string>",
    "status": "active",
    "billing_cycle": 123,
    "renewal_date": "2023-11-07T05:31:56Z",
    "last_renewal": "2023-11-07T05:31:56Z",
    "recurring_amount": 123,
    "currency": "<string>",
    "total_billed": 123,
    "ip_addr": "127.0.0.1",
    "suspension_reason": "<string>",
    "attachment": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.onidel.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
ip_address
string<ipv4>
required

The VM's primary public IP address to convert

team_id
string

Team ID that owns the VM. If not provided, uses the user's primary team

name
string

Custom name for the reserved IP (defaults to IP address if not provided)

Maximum string length: 64

Response

IP successfully converted to reserved IP

reserved_ip
object
required